summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Juan M. Lasca2022-09-09 05:12:19 +0200
committer Dave Woodfall2022-09-09 05:12:19 +0200
commitb5301e32b28a5b5b6855b8d6ea781bb2872845ff (patch)
tree8f512c48f33f66c306db1b22770b66e297521dc9 /development
parent28d1a394278ba41d3799348d3cb615d8ac219993 (diff)
downloadslackbuilds-b5301e32b28a5b5b6855b8d6ea781bb2872845ff.tar.gz
development/ttk-themes: Added (themes for the Tk theme engine)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/ttk-themes/README18
-rw-r--r--development/ttk-themes/slack-desc19
-rw-r--r--development/ttk-themes/ttk-themes.SlackBuild75
-rw-r--r--development/ttk-themes/ttk-themes.info10
4 files changed, 122 insertions, 0 deletions
diff --git a/development/ttk-themes/README b/development/ttk-themes/README
new file mode 100644
index 0000000000..8164597e41
--- /dev/null
+++ b/development/ttk-themes/README
@@ -0,0 +1,18 @@
+A group of themes for the Tk theme engine (and also the python tkinter
+package) gathered together by RedFantom and created by various authors.
+
+| THEME NAME | VERSION | AUTHOR | LICENSE |
+|------------+---------+----------------+-----------|
+| aquativo | 0.0.1 | Pat Thoyts | BSD-style |
+| black | 0.1 | Mats Bengtsson | BSD-style |
+| blue | 0.7 | Pat Thoyts | BSD-style |
+| clearlooks | 0.1 | N/A | BSD-style |
+| elegance | 0.1 | N/A | BSD-style |
+| itft1 | 0.14 | RedFantom | GNU GPLv3 |
+| keramik | 0.6.2 | Pat Thoyts | BSD-style |
+| kroc | 0.0.1 | David Zolli | BSD-style |
+| plastik | 0.6.2 | Pat Thoyts | BSD-style |
+| radiance | 0.1 | RedFantom | GNU GPLv3 |
+| smog | 0.1.1 | RedFantom | GNU GPLv2 |
+| winxpblue | 0.6 | Pat Thoyts | BSD-style |
+
diff --git a/development/ttk-themes/slack-desc b/development/ttk-themes/slack-desc
new file mode 100644
index 0000000000..7ffb6bf77c
--- /dev/null
+++ b/development/ttk-themes/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ttk-themes: ttk-themes (themes for the Tk theme engine)
+ttk-themes:
+ttk-themes: A group of themes for the Tk theme engine (and also the python
+ttk-themes: tkinter package) gathered together by RedFantom and created by
+ttk-themes: various authors.
+ttk-themes:
+ttk-themes: https://github.com/TkinterEP/ttkthemes
+ttk-themes:
+ttk-themes:
+ttk-themes:
+ttk-themes:
diff --git a/development/ttk-themes/ttk-themes.SlackBuild b/development/ttk-themes/ttk-themes.SlackBuild
new file mode 100644
index 0000000000..b09f35b8eb
--- /dev/null
+++ b/development/ttk-themes/ttk-themes.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/bash
+
+# Slackware build script for ttk-themes
+
+# Copyright 2022 Juan M. Lasca <juanmlasca@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=ttk-themes
+SRCNAM=ttkthemes
+VERSION=${VERSION:-3.2.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+ARCH=noarch
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+mv $SRCNAM-$VERSION $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/lib/$PRGNAM
+cp -a $SRCNAM/themes/* $PKG/usr/lib/$PRGNAM
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE.md README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/development/ttk-themes/ttk-themes.info b/development/ttk-themes/ttk-themes.info
new file mode 100644
index 0000000000..2d7b8b1d51
--- /dev/null
+++ b/development/ttk-themes/ttk-themes.info
@@ -0,0 +1,10 @@
+PRGNAM="ttk-themes"
+VERSION="3.2.2"
+HOMEPAGE="https://github.com/TkinterEP/ttkthemes"
+DOWNLOAD="https://github.com/TkinterEP/ttkthemes/archive/v3.2.2/ttk-themes-3.2.2.tar.gz"
+MD5SUM="5a15968eec2d671992707c6e204d71e1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Juan M. Lasca"
+EMAIL="juanmlasca@gmail.com"